Summary: The /bin/mail program, which is used to send mail via shell scripts.
Name: mailx
Version: 8.1.1
Release: 9
Copyright: BSD
Group: Applications/Internet
Source: ftp://ftp.debian.org/pub/debian/hamm/source/mail/mailx-8.1.1.tar.gz
Patch0: mailx-8.1.1.debian.patch
Patch1: mailx-8.1.1.security.patch
Patch2: mailx-8.1.1.nolock.patch
Patch3: mailx-8.1.1.debian2.patch
Patch4: mailx-noroot.patch
BuildRoot: /var/tmp/%{name}-root

%description
The mailx package installs the /bin/mail program, which is used to send
quick email messages (i.e., without opening up a full-featured mail user
agent). Mail is often used in shell scripts.

You should install mailx because of its quick email sending ability, which
is especially useful if you're planning on writing any shell scripts.

%prep
%setup -q

%patch0 -p1 -b .debian
%patch1 -p1 -b .security
%patch2 -p1 -b .nolock
%patch3 -p1 -b .debian2
%patch4 -p1 -b .noroot

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{bin,etc,usr/bin,usr/lib,usr/man/man1}

make DESTDIR=$RPM_BUILD_ROOT install

( cd $RPM_BUILD_ROOT
  mv ./usr/bin/mail ./bin/mail
  chmod g-s ./bin/mail
  ln -sf ../../bin/mail ./usr/bin/Mail
  ln -sf mail.1 ./usr/man/man1/Mail.1
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,mail)	/bin/mail
/usr/bin/Mail
/usr/lib/mail.help
/usr/lib/mail.tildehelp
%config /etc/mail.rc
/usr/man/man1/mail.1
/usr/man/man1/Mail.1

%changelog
* Tue Aug 31 1999 Bill Nottingham <notting@redhat.com>
- fix pathnames
- take out makefile install crud

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Thu Aug 27 1998 Alan Cox <alan@redhat.com>
- Synchronized with the Debian people (more small edge case cures)

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jun 24 1998 Alan Cox <alan@redhat.com>
- Switched dotlocking off. This fits the Red Hat model of not having setgid
  mail agents and fixes the "lock" problem reported.

* Mon Jun 22 1998 Alan Cox <alan@redhat.com>
- Buffer overrun patches. These dont bite us when we don't run mailx setgid
  but do want to be in as mailx needs to be setgid

* Fri Jun 12 1998 Alan Cox <alan@redhat.com>
- Moved from 5.5 to the OpenBSD 8.1 release plus Debian patches

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- built against glibc
